/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the MysqlDtoAuthorizer type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MysqlDtoAuthorizer{}

// MysqlDtoAuthorizer struct for MysqlDtoAuthorizer
type MysqlDtoAuthorizer struct {
	Dsn           *string                     `json:"dsn,omitempty"`
	Host          *string                     `json:"host,omitempty"`
	Port          *int32                      `json:"port,omitempty"`
	Username      *string                     `json:"username,omitempty"`
	Password      *string                     `json:"password,omitempty"`
	Database      *string                     `json:"database,omitempty"`
	SshConfig     NullableMysqlTraitSshConfig `json:"sshConfig,omitempty"`
	Ssl           NullableString              `json:"ssl,omitempty"`
	Tls           *string                     `json:"tls,omitempty"`
	UseSSH        *bool                       `json:"useSSH,omitempty"`
	CertificateId NullableString              `json:"certificateId,omitempty"`
	SshHost       NullableString              `json:"sshHost,omitempty"`
	SshPort       NullableInt32               `json:"sshPort,omitempty"`
	SshRemoteHost NullableString              `json:"sshRemoteHost,omitempty"`
	SshRemotePort NullableInt32               `json:"sshRemotePort,omitempty"`
	SshUsername   NullableString              `json:"sshUsername,omitempty"`
	SshPassword   NullableString              `json:"sshPassword,omitempty"`
	Label         *string                     `json:"label,omitempty"`
}

// NewMysqlDtoAuthorizer instantiates a new MysqlDtoAuthorizer object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMysqlDtoAuthorizer() *MysqlDtoAuthorizer {
	this := MysqlDtoAuthorizer{}
	return &this
}

// NewMysqlDtoAuthorizerWithDefaults instantiates a new MysqlDtoAuthorizer object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMysqlDtoAuthorizerWithDefaults() *MysqlDtoAuthorizer {
	this := MysqlDtoAuthorizer{}
	return &this
}

// GetDsn returns the Dsn field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetDsn() string {
	if o == nil || IsNil(o.Dsn) {
		var ret string
		return ret
	}
	return *o.Dsn
}

// GetDsnOk returns a tuple with the Dsn field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetDsnOk() (*string, bool) {
	if o == nil || IsNil(o.Dsn) {
		return nil, false
	}
	return o.Dsn, true
}

// HasDsn returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasDsn() bool {
	if o != nil && !IsNil(o.Dsn) {
		return true
	}

	return false
}

// SetDsn gets a reference to the given string and assigns it to the Dsn field.
func (o *MysqlDtoAuthorizer) SetDsn(v string) {
	o.Dsn = &v
}

// GetHost returns the Host field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetHost() string {
	if o == nil || IsNil(o.Host) {
		var ret string
		return ret
	}
	return *o.Host
}

// GetHostOk returns a tuple with the Host field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetHostOk() (*string, bool) {
	if o == nil || IsNil(o.Host) {
		return nil, false
	}
	return o.Host, true
}

// HasHost returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasHost() bool {
	if o != nil && !IsNil(o.Host) {
		return true
	}

	return false
}

// SetHost gets a reference to the given string and assigns it to the Host field.
func (o *MysqlDtoAuthorizer) SetHost(v string) {
	o.Host = &v
}

// GetPort returns the Port field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetPort() int32 {
	if o == nil || IsNil(o.Port) {
		var ret int32
		return ret
	}
	return *o.Port
}

// GetPortOk returns a tuple with the Port field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetPortOk() (*int32, bool) {
	if o == nil || IsNil(o.Port) {
		return nil, false
	}
	return o.Port, true
}

// HasPort returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasPort() bool {
	if o != nil && !IsNil(o.Port) {
		return true
	}

	return false
}

// SetPort gets a reference to the given int32 and assigns it to the Port field.
func (o *MysqlDtoAuthorizer) SetPort(v int32) {
	o.Port = &v
}

// GetUsername returns the Username field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetUsername() string {
	if o == nil || IsNil(o.Username) {
		var ret string
		return ret
	}
	return *o.Username
}

// GetUsernameOk returns a tuple with the Username field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetUsernameOk() (*string, bool) {
	if o == nil || IsNil(o.Username) {
		return nil, false
	}
	return o.Username, true
}

// HasUsername returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasUsername() bool {
	if o != nil && !IsNil(o.Username) {
		return true
	}

	return false
}

// SetUsername gets a reference to the given string and assigns it to the Username field.
func (o *MysqlDtoAuthorizer) SetUsername(v string) {
	o.Username = &v
}

// GetPassword returns the Password field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetPassword() string {
	if o == nil || IsNil(o.Password) {
		var ret string
		return ret
	}
	return *o.Password
}

// GetPasswordOk returns a tuple with the Password field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetPasswordOk() (*string, bool) {
	if o == nil || IsNil(o.Password) {
		return nil, false
	}
	return o.Password, true
}

// HasPassword returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasPassword() bool {
	if o != nil && !IsNil(o.Password) {
		return true
	}

	return false
}

// SetPassword gets a reference to the given string and assigns it to the Password field.
func (o *MysqlDtoAuthorizer) SetPassword(v string) {
	o.Password = &v
}

// GetDatabase returns the Database field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetDatabase() string {
	if o == nil || IsNil(o.Database) {
		var ret string
		return ret
	}
	return *o.Database
}

// GetDatabaseOk returns a tuple with the Database field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetDatabaseOk() (*string, bool) {
	if o == nil || IsNil(o.Database) {
		return nil, false
	}
	return o.Database, true
}

// HasDatabase returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasDatabase() bool {
	if o != nil && !IsNil(o.Database) {
		return true
	}

	return false
}

// SetDatabase gets a reference to the given string and assigns it to the Database field.
func (o *MysqlDtoAuthorizer) SetDatabase(v string) {
	o.Database = &v
}

// GetSshConfig returns the SshConfig field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshConfig() MysqlTraitSshConfig {
	if o == nil || IsNil(o.SshConfig.Get()) {
		var ret MysqlTraitSshConfig
		return ret
	}
	return *o.SshConfig.Get()
}

// GetSshConfigOk returns a tuple with the SshConfig field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshConfigOk() (*MysqlTraitSshConfig, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshConfig.Get(), o.SshConfig.IsSet()
}

// HasSshConfig returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshConfig() bool {
	if o != nil && o.SshConfig.IsSet() {
		return true
	}

	return false
}

// SetSshConfig gets a reference to the given NullableMysqlTraitSshConfig and assigns it to the SshConfig field.
func (o *MysqlDtoAuthorizer) SetSshConfig(v MysqlTraitSshConfig) {
	o.SshConfig.Set(&v)
}

// SetSshConfigNil sets the value for SshConfig to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshConfigNil() {
	o.SshConfig.Set(nil)
}

// UnsetSshConfig ensures that no value is present for SshConfig, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshConfig() {
	o.SshConfig.Unset()
}

// GetSsl returns the Ssl field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSsl() string {
	if o == nil || IsNil(o.Ssl.Get()) {
		var ret string
		return ret
	}
	return *o.Ssl.Get()
}

// GetSslOk returns a tuple with the Ssl field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSslOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.Ssl.Get(), o.Ssl.IsSet()
}

// HasSsl returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSsl() bool {
	if o != nil && o.Ssl.IsSet() {
		return true
	}

	return false
}

// SetSsl gets a reference to the given NullableString and assigns it to the Ssl field.
func (o *MysqlDtoAuthorizer) SetSsl(v string) {
	o.Ssl.Set(&v)
}

// SetSslNil sets the value for Ssl to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSslNil() {
	o.Ssl.Set(nil)
}

// UnsetSsl ensures that no value is present for Ssl, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSsl() {
	o.Ssl.Unset()
}

// GetTls returns the Tls field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetTls() string {
	if o == nil || IsNil(o.Tls) {
		var ret string
		return ret
	}
	return *o.Tls
}

// GetTlsOk returns a tuple with the Tls field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetTlsOk() (*string, bool) {
	if o == nil || IsNil(o.Tls) {
		return nil, false
	}
	return o.Tls, true
}

// HasTls returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasTls() bool {
	if o != nil && !IsNil(o.Tls) {
		return true
	}

	return false
}

// SetTls gets a reference to the given string and assigns it to the Tls field.
func (o *MysqlDtoAuthorizer) SetTls(v string) {
	o.Tls = &v
}

// GetUseSSH returns the UseSSH field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetUseSSH() bool {
	if o == nil || IsNil(o.UseSSH) {
		var ret bool
		return ret
	}
	return *o.UseSSH
}

// GetUseSSHOk returns a tuple with the UseSSH field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetUseSSHOk() (*bool, bool) {
	if o == nil || IsNil(o.UseSSH) {
		return nil, false
	}
	return o.UseSSH, true
}

// HasUseSSH returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasUseSSH() bool {
	if o != nil && !IsNil(o.UseSSH) {
		return true
	}

	return false
}

// SetUseSSH gets a reference to the given bool and assigns it to the UseSSH field.
func (o *MysqlDtoAuthorizer) SetUseSSH(v bool) {
	o.UseSSH = &v
}

// GetCertificateId returns the CertificateId field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetCertificateId() string {
	if o == nil || IsNil(o.CertificateId.Get()) {
		var ret string
		return ret
	}
	return *o.CertificateId.Get()
}

// GetCertificateIdOk returns a tuple with the CertificateId field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetCertificateIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.CertificateId.Get(), o.CertificateId.IsSet()
}

// HasCertificateId returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasCertificateId() bool {
	if o != nil && o.CertificateId.IsSet() {
		return true
	}

	return false
}

// SetCertificateId gets a reference to the given NullableString and assigns it to the CertificateId field.
func (o *MysqlDtoAuthorizer) SetCertificateId(v string) {
	o.CertificateId.Set(&v)
}

// SetCertificateIdNil sets the value for CertificateId to be an explicit nil
func (o *MysqlDtoAuthorizer) SetCertificateIdNil() {
	o.CertificateId.Set(nil)
}

// UnsetCertificateId ensures that no value is present for CertificateId, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetCertificateId() {
	o.CertificateId.Unset()
}

// GetSshHost returns the SshHost field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshHost() string {
	if o == nil || IsNil(o.SshHost.Get()) {
		var ret string
		return ret
	}
	return *o.SshHost.Get()
}

// GetSshHostOk returns a tuple with the SshHost field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshHostOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshHost.Get(), o.SshHost.IsSet()
}

// HasSshHost returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshHost() bool {
	if o != nil && o.SshHost.IsSet() {
		return true
	}

	return false
}

// SetSshHost gets a reference to the given NullableString and assigns it to the SshHost field.
func (o *MysqlDtoAuthorizer) SetSshHost(v string) {
	o.SshHost.Set(&v)
}

// SetSshHostNil sets the value for SshHost to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshHostNil() {
	o.SshHost.Set(nil)
}

// UnsetSshHost ensures that no value is present for SshHost, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshHost() {
	o.SshHost.Unset()
}

// GetSshPort returns the SshPort field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshPort() int32 {
	if o == nil || IsNil(o.SshPort.Get()) {
		var ret int32
		return ret
	}
	return *o.SshPort.Get()
}

// GetSshPortOk returns a tuple with the SshPort field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshPortOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshPort.Get(), o.SshPort.IsSet()
}

// HasSshPort returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshPort() bool {
	if o != nil && o.SshPort.IsSet() {
		return true
	}

	return false
}

// SetSshPort gets a reference to the given NullableInt32 and assigns it to the SshPort field.
func (o *MysqlDtoAuthorizer) SetSshPort(v int32) {
	o.SshPort.Set(&v)
}

// SetSshPortNil sets the value for SshPort to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshPortNil() {
	o.SshPort.Set(nil)
}

// UnsetSshPort ensures that no value is present for SshPort, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshPort() {
	o.SshPort.Unset()
}

// GetSshRemoteHost returns the SshRemoteHost field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshRemoteHost() string {
	if o == nil || IsNil(o.SshRemoteHost.Get()) {
		var ret string
		return ret
	}
	return *o.SshRemoteHost.Get()
}

// GetSshRemoteHostOk returns a tuple with the SshRemoteHost field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshRemoteHostOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshRemoteHost.Get(), o.SshRemoteHost.IsSet()
}

// HasSshRemoteHost returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshRemoteHost() bool {
	if o != nil && o.SshRemoteHost.IsSet() {
		return true
	}

	return false
}

// SetSshRemoteHost gets a reference to the given NullableString and assigns it to the SshRemoteHost field.
func (o *MysqlDtoAuthorizer) SetSshRemoteHost(v string) {
	o.SshRemoteHost.Set(&v)
}

// SetSshRemoteHostNil sets the value for SshRemoteHost to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshRemoteHostNil() {
	o.SshRemoteHost.Set(nil)
}

// UnsetSshRemoteHost ensures that no value is present for SshRemoteHost, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshRemoteHost() {
	o.SshRemoteHost.Unset()
}

// GetSshRemotePort returns the SshRemotePort field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshRemotePort() int32 {
	if o == nil || IsNil(o.SshRemotePort.Get()) {
		var ret int32
		return ret
	}
	return *o.SshRemotePort.Get()
}

// GetSshRemotePortOk returns a tuple with the SshRemotePort field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshRemotePortOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshRemotePort.Get(), o.SshRemotePort.IsSet()
}

// HasSshRemotePort returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshRemotePort() bool {
	if o != nil && o.SshRemotePort.IsSet() {
		return true
	}

	return false
}

// SetSshRemotePort gets a reference to the given NullableInt32 and assigns it to the SshRemotePort field.
func (o *MysqlDtoAuthorizer) SetSshRemotePort(v int32) {
	o.SshRemotePort.Set(&v)
}

// SetSshRemotePortNil sets the value for SshRemotePort to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshRemotePortNil() {
	o.SshRemotePort.Set(nil)
}

// UnsetSshRemotePort ensures that no value is present for SshRemotePort, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshRemotePort() {
	o.SshRemotePort.Unset()
}

// GetSshUsername returns the SshUsername field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshUsername() string {
	if o == nil || IsNil(o.SshUsername.Get()) {
		var ret string
		return ret
	}
	return *o.SshUsername.Get()
}

// GetSshUsernameOk returns a tuple with the SshUsername field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshUsernameOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshUsername.Get(), o.SshUsername.IsSet()
}

// HasSshUsername returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshUsername() bool {
	if o != nil && o.SshUsername.IsSet() {
		return true
	}

	return false
}

// SetSshUsername gets a reference to the given NullableString and assigns it to the SshUsername field.
func (o *MysqlDtoAuthorizer) SetSshUsername(v string) {
	o.SshUsername.Set(&v)
}

// SetSshUsernameNil sets the value for SshUsername to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshUsernameNil() {
	o.SshUsername.Set(nil)
}

// UnsetSshUsername ensures that no value is present for SshUsername, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshUsername() {
	o.SshUsername.Unset()
}

// GetSshPassword returns the SshPassword field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *MysqlDtoAuthorizer) GetSshPassword() string {
	if o == nil || IsNil(o.SshPassword.Get()) {
		var ret string
		return ret
	}
	return *o.SshPassword.Get()
}

// GetSshPasswordOk returns a tuple with the SshPassword field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *MysqlDtoAuthorizer) GetSshPasswordOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return o.SshPassword.Get(), o.SshPassword.IsSet()
}

// HasSshPassword returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasSshPassword() bool {
	if o != nil && o.SshPassword.IsSet() {
		return true
	}

	return false
}

// SetSshPassword gets a reference to the given NullableString and assigns it to the SshPassword field.
func (o *MysqlDtoAuthorizer) SetSshPassword(v string) {
	o.SshPassword.Set(&v)
}

// SetSshPasswordNil sets the value for SshPassword to be an explicit nil
func (o *MysqlDtoAuthorizer) SetSshPasswordNil() {
	o.SshPassword.Set(nil)
}

// UnsetSshPassword ensures that no value is present for SshPassword, not even an explicit nil
func (o *MysqlDtoAuthorizer) UnsetSshPassword() {
	o.SshPassword.Unset()
}

// GetLabel returns the Label field value if set, zero value otherwise.
func (o *MysqlDtoAuthorizer) GetLabel() string {
	if o == nil || IsNil(o.Label) {
		var ret string
		return ret
	}
	return *o.Label
}

// GetLabelOk returns a tuple with the Label field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MysqlDtoAuthorizer) GetLabelOk() (*string, bool) {
	if o == nil || IsNil(o.Label) {
		return nil, false
	}
	return o.Label, true
}

// HasLabel returns a boolean if a field has been set.
func (o *MysqlDtoAuthorizer) HasLabel() bool {
	if o != nil && !IsNil(o.Label) {
		return true
	}

	return false
}

// SetLabel gets a reference to the given string and assigns it to the Label field.
func (o *MysqlDtoAuthorizer) SetLabel(v string) {
	o.Label = &v
}

func (o MysqlDtoAuthorizer) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MysqlDtoAuthorizer) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Dsn) {
		toSerialize["dsn"] = o.Dsn
	}
	if !IsNil(o.Host) {
		toSerialize["host"] = o.Host
	}
	if !IsNil(o.Port) {
		toSerialize["port"] = o.Port
	}
	if !IsNil(o.Username) {
		toSerialize["username"] = o.Username
	}
	if !IsNil(o.Password) {
		toSerialize["password"] = o.Password
	}
	if !IsNil(o.Database) {
		toSerialize["database"] = o.Database
	}
	if o.SshConfig.IsSet() {
		toSerialize["sshConfig"] = o.SshConfig.Get()
	}
	if o.Ssl.IsSet() {
		toSerialize["ssl"] = o.Ssl.Get()
	}
	if !IsNil(o.Tls) {
		toSerialize["tls"] = o.Tls
	}
	if !IsNil(o.UseSSH) {
		toSerialize["useSSH"] = o.UseSSH
	}
	if o.CertificateId.IsSet() {
		toSerialize["certificateId"] = o.CertificateId.Get()
	}
	if o.SshHost.IsSet() {
		toSerialize["sshHost"] = o.SshHost.Get()
	}
	if o.SshPort.IsSet() {
		toSerialize["sshPort"] = o.SshPort.Get()
	}
	if o.SshRemoteHost.IsSet() {
		toSerialize["sshRemoteHost"] = o.SshRemoteHost.Get()
	}
	if o.SshRemotePort.IsSet() {
		toSerialize["sshRemotePort"] = o.SshRemotePort.Get()
	}
	if o.SshUsername.IsSet() {
		toSerialize["sshUsername"] = o.SshUsername.Get()
	}
	if o.SshPassword.IsSet() {
		toSerialize["sshPassword"] = o.SshPassword.Get()
	}
	if !IsNil(o.Label) {
		toSerialize["label"] = o.Label
	}
	return toSerialize, nil
}

type NullableMysqlDtoAuthorizer struct {
	value *MysqlDtoAuthorizer
	isSet bool
}

func (v NullableMysqlDtoAuthorizer) Get() *MysqlDtoAuthorizer {
	return v.value
}

func (v *NullableMysqlDtoAuthorizer) Set(val *MysqlDtoAuthorizer) {
	v.value = val
	v.isSet = true
}

func (v NullableMysqlDtoAuthorizer) IsSet() bool {
	return v.isSet
}

func (v *NullableMysqlDtoAuthorizer) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMysqlDtoAuthorizer(val *MysqlDtoAuthorizer) *NullableMysqlDtoAuthorizer {
	return &NullableMysqlDtoAuthorizer{value: val, isSet: true}
}

func (v NullableMysqlDtoAuthorizer) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMysqlDtoAuthorizer) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
